<div class="product-list">
  <div class="container">
    <div class="row">
      <!-- <div class="col-md-3 padding0px" *ngIf="filterShow">
        <app-filters [filterDataList]="filterList" (filteredProductList)="getFilteredProductList($event)"></app-filters>
      </div> -->
      <div class="col-md-9" [ngClass]="{'col-md-9': filterShow == true, 'col-md-12': filterShow == false }">
        <div class="row">
          <div class="col paddingR0px">
            <div class="product-title" *ngIf="details && !isFromBrand">
                <a (click)="moveToRespectivePages('home')">{{details.categoryGroupName}}</a> 
                 <span class="breadCrumb"> > </span> 
                 <a *ngIf="details.subCategory && displayName" (click)="moveToRespectivePages('product-list')">{{details.categoryName}} </a> 
                 <a *ngIf="!displayName"  (click)="moveToRespectivePages('product-list')">{{details.categoryName}} </a>
                  <a *ngIf="details.subCategory && displayName"> <span class="breadCrumb"> > </span>{{details.subCategory}} 
                </a>
              <small>&nbsp;({{totalProducts}} products)</small>
            </div>
            <div class="product-short-by">
              <span>{{ 'labelSortBy' | translate:lang }} :</span>
              <ul>
                <li>
                  <a [class.active]="tabOption === 'latest'"
                    (click)="productList.length > 0 ? getAllProductsList('latest', productTapOptionLatest) : ''">{{ 'labelShortLatest' | translate:lang }}</a>
                </li>
                <li>
                  <a [class.active]="tabOption === 'lowest'"
                    (click)="productList.length > 0 ? getAllProductsList('lowest', productTapOptionLowest) : ''">{{ 'labelShortLowToHigh' | translate:lang }}</a>
                </li>
                <li>
                  <a [class.active]="tabOption === 'highest'"
                    (click)="productList.length > 0 ? getAllProductsList('highest', productTapOptionHighest) : ''">{{ 'labelShortHighToLow' | translate:lang }}</a>
                </li>
                <li>
                  <a [class.active]="tabOption === 'popularity'"
                    (click)="productList.length > 0 ? getAllProductsList('popularity', productTapOptionPopularity) : ''">
                    {{ 'labelShortPopularity' | translate:lang }} </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
        <span *ngIf="productList.length > 0">
          <div class="row">
            <div class="col-md-3 mt-3" [ngClass]="{'product-list-wof': filterShow == false }"
              *ngFor="let product of productList">
              <app-product-tile [compareCount]="compareCount" [productDetail]="product" [from]="productFrom"
                (productAction)="getProductActionDetails($event)"></app-product-tile>
            </div>
          </div>
          <div class="row showmore-wrap" *ngIf="totalProducts > productList.length">
            <button mat-raised-button class="show-more"
              (click)="showMoreProducts()">{{ 'buttonShowMore' | translate:lang }}</button>
          </div>
        </span>
        <div class="nodata-found-wrap" *ngIf="!isLoading && productList.length === 0">
          <div class="nodata-found">
            <img src="assets/images/empty_product.png" />
          </div>
          <span class="align-bottom">
            {{'lableNoProductCatagory' | translate: lang}}</span>
        </div>
      </div>
    </div>
  </div>
</div>